### Class

# Handy SwipeTracker

since: 1.0

#### Description [src]

    final class Handy.SwipeTracker : GObject.Object
      implements Gtk.Orientable {
      /* No available fields */
    }

Swipe tracker used in `HdyCarousel` and `HdyLeaflet`.

The `HdySwipeTracker` object can be used for implementing widgets with swipe gestures. It supports touch-based swipes, pointer dragging, and touchpad scrolling.

The widgets will probably want to expose `HdySwipeTracker:enabled` property. If they expect to use horizontal orientation, `HdySwipeTracker:reversed` property can be used for supporting RTL text direction.

Available since: 1.0

#### Ancestors

- GObject

#### Implements

- GtkOrientable

#### Constructors

###### hdy_swipe_tracker_new

Creates a new `HdySwipeTracker` object on `widget`.

since: 1.0

#### Instance methods

###### hdy_swipe_tracker_get_allow_long_swipes

Whether to allow swiping for more than one snap point at a time.

since: 1.2

###### hdy_swipe_tracker_get_allow_mouse_drag

Get whether `self` can be dragged with mouse pointer.

since: 1.0

###### hdy_swipe_tracker_get_enabled

Get whether `self` is enabled.

since: 1.0

###### hdy_swipe_tracker_get_reversed

Get whether `self` is reversing the swipe direction.

since: 1.0

###### hdy_swipe_tracker_get_swipeable

Get `self`‘s swipeable widget.

since: 1.0

###### hdy_swipe_tracker_set_allow_long_swipes

Sets whether to allow swiping for more than one snap point at a time.

since: 1.2

###### hdy_swipe_tracker_set_allow_mouse_drag

Set whether `self` can be dragged with mouse pointer.

since: 1.0

###### hdy_swipe_tracker_set_enabled

Set whether `self` is enabled.

since: 1.0

###### hdy_swipe_tracker_set_reversed

Set whether to reverse the swipe direction.

since: 1.0

###### hdy_swipe_tracker_shift_position

Move the current progress value by `delta`.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GtkOrientable (2)

###### gtk_orientable_get_orientation

Retrieves the orientation of the `orientable`.

###### gtk_orientable_set_orientation

Sets the orientation of the `orientable`.

#### Properties

###### Handy.SwipeTracker:allow-long-swipes

Whether to allow swiping for more than one snap point at a time.

since: 1.2

###### Handy.SwipeTracker:allow-mouse-drag

Whether to allow dragging with mouse pointer.

since: 1.0

###### Handy.SwipeTracker:enabled

Whether the swipe tracker is enabled.

since: 1.0

###### Handy.SwipeTracker:reversed

Whether to reverse the swipe direction.

since: 1.0

###### Handy.SwipeTracker:swipeable

The widget the swipe tracker is attached to. Must not be `NULL`.

since: 1.0

##### Properties inherited from GtkOrientable (1)

###### Gtk.Orientable:orientation

The orientation of the orientable.

#### Signals

###### Handy.SwipeTracker::begin-swipe

This signal is emitted when a possible swipe is detected.

since: 1.0

###### Handy.SwipeTracker::end-swipe

This signal is emitted as soon as the gesture has stopped.

since: 1.0

###### Handy.SwipeTracker::update-swipe

This signal is emitted every time the progress value changes.

since: 1.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct HandySwipeTrackerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.